# Import libraries
import pickle

# Define diagnosis dictionary
diagnosis = {0: 'AD', 1: 'FTD', 2: 'DLB', 3: 'CN'}

# Load scaler
scaler = pickle.load(open('scaler.pkl', 'rb'))

# Load model
model = pickle.load(open('model_MUQUBIA.pkl', 'rb'))

# Define data to be classified
X_test = [] # X_test is a list of the not scaled values of the 22 features

# Perform classification and print result
X_test = scaler.transform([X_test])
result = model.predict(X_test).tolist()[0]
print(f'Diagnosis = {diagnosis[result]}')

# Compute the probability for each class and print the percentage
result_proba = model.predict_proba(X_test).tolist()[0]
print(f'probability of AD = {result_proba[0]*100}')
print(f'probability of FTD = {result_proba[1]*100}')
print(f'probability of DLB = {result_proba[2]*100}')
print(f'probability of CN = {result_proba[3]*100}')
